package com.jspdev.ch17;

import javax.servlet.http.HttpServletRequest;
import org.apache.struts.action.*;

import javax.servlet.http.HttpServletRequest;
 
public class EmployeeForm extends ActionForm  {
 
   private Employee employee=new Employee();
    
  //private String name;
  public void setName(String name)
  {
  	this.employee.setName(name);
  }
  public String getName()
  {
  	return this.employee.getName();
  }
   public void setEmployee(Employee employee)
   {
   	   this.employee=employee;
   }
   public Employee getEmployee()
   {
   	   return this.employee;
   }
    
    public void reset(ActionMapping mapping, HttpServletRequest request) {
        this.employee=new Employee();
    }
    
    public ActionErrors validate(ActionMapping mapping,
                    HttpServletRequest request)
     {
        ActionErrors errors = new ActionErrors();
        if ((employee.getName() == null) || (employee.getSalary()<0))
        { 
            errors.add("name", new ActionError("name is null"));
        }
        return errors;
     }

}